StreamCapabilities.StreamCapability (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, interface: StreamCapabilities, enum: StreamCapability

Package org.apache.hadoop.fs

# Enum Class StreamCapabilities.StreamCapability

java.lang.Object
java.lang.Enum<StreamCapabilities.StreamCapability>
org.apache.hadoop.fs.StreamCapabilities.StreamCapability

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamCapabilities.StreamCapability>`, `Constable`

Enclosing interface:
  StreamCapabilities

@Deprecated public static enum StreamCapabilities.StreamCapability extends Enum<StreamCapabilities.StreamCapability>
Deprecated.
Capabilities that a stream can support and be queried for.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HFLUSH`
  Deprecated.
  `HSYNC`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getValue()`
  Deprecated.
  `static StreamCapabilities.StreamCapability`
  `valueOf(String name)`
  Deprecated.
  Returns the enum constant of this class with the specified name.
  `static StreamCapabilities.StreamCapability[]`
  `values()`
  Deprecated.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HFLUSH

    public static final StreamCapabilities.StreamCapability HFLUSH
    Deprecated.

  - ### HSYNC

    public static final StreamCapabilities.StreamCapability HSYNC
    Deprecated.

- ## Method Details

  - ### values

    public static StreamCapabilities.StreamCapability[] values()
    Deprecated.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StreamCapabilities.StreamCapability valueOf(String name)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public final String getValue()
    Deprecated.